function x = defenseSquirtOne(aggexp, bar_defs)

x = [];
height = [];
top_labels = [];
bot_labels = [];
colors = [];
rows = extractRows(aggexp, bar_defs(:,2));
for i=1:size(bar_defs,1),
	this_x = bar_defs(i,1);
	x = [x, this_x{1}];

	component = bar_defs{i,3};
	component_col = getfield(rows, component);
	height = [height, component_col(i)];

	top_labels = strvcat(top_labels, imprecision(height(end),2));
	bot_labels = strvcat(bot_labels, bar_defs{i,4});
	colors = [colors; bar_defs{i,5}];
end

flat_graph(x, height, top_labels, bot_labels, colors);
